import Parse from 'parse'
const axios = require('axios')
export default {
  namespaced: true,
  state: {
    list: []
  },
  actions: {
    fetch({ commit }) {
      return axios({
        url: `${Parse.serverURL.replace('/parse', '')}/api/searchOd`,
        method: 'post',
        data: { bookRoutesRange: '1' }
      }).then(res => {
        if (!res.data.errorcode) {
          commit('setList', res.data.airportod)
        }
      })
    }
  },
  mutations: {
    setList(state, list) {
      state.list = list
    }
  }
}
