// const bluebird = require('bluebird')
// const path = require('path')
//
// const { Client } = require('pg')
// const client = new Client({
//   user: 'postgres',
//   host: '192.168.2.222',
//   database: 'parse',
//   password: 'pgtest'
// })
// client.connect()
//
// bluebird.promisifyAll(client)
//
// const typeMap = {
//   'number':'numeric',
//   'string':''
// }
//
// const run = async function() {
//   try {
//     const systemData = require(path.join(__dirname, 'system.json'))
//     const bussinessData = require(path.join(__dirname, 'bussiness.json'))
//     const datas = [systemData, bussinessData]
//     for (let data of datas) {
//       for (let classDef of data) {
//         let className = classDef.className
//         await client.query(`DROP TABLE IF EXISTS ${className}`)
//         console.log('removed')
//         await client.query(`CREATE TABLE IF NOT EXISTS ${className}`)
//         for (let object of classDef.objects) {
//           for (let keys in object) {
//             try {
//               await client.query(
//                 `ALTER TABLE ${className} ADD COLUMN ${key} ${typeof key};`
//               )
//             } catch (e) {
//               console.log(e)
//             }
//           }
//           await client.query(``)
//           console.log('inserted:', object._id)
//         }
//       }
//     }
//     process.exit(0)
//   } catch (e) {
//     console.log(e)
//     process.exit(1)
//   }
// }
// run()

const bluebird = require('bluebird')
const path = require('path')
const Parse = require('parse/node')

Parse.initialize('ibe_api_server','22786907B697B9005C767068A747F956')
Parse.serverURL = 'http://127.0.0.1:3000/parse'

const { Client } = require('pg')
const client = new Client({
  user: 'lccpssdbibe',
  host: 'ibe-test.cpnqwyb5jnxv.ap-southeast-1.rds.amazonaws.com',
  database: 'flights',
  password: 'lccibedbtest2018'
})
// const client = new Client({
//   user: 'postgres',
//   host: '127.0.0.1',
//   database: 'hxcms',
//   password: 'seonmyyt'
// })
client.connect()
bluebird.promisifyAll(client)

const run = async function() {
  try {
    const systemData = require(path.join(__dirname, 'system.json'))
    const bussinessData = require(path.join(__dirname, 'bussiness.json'))
    const datas = [systemData, bussinessData]
    for (let data of datas) {
      for (let classDef of data) {
        let className = classDef.className
        let ParseClass = Parse.Object.extend(className)
        let q = new Parse.Query(className)
        let objs = await q.find()
        await Parse.Object.destroyAll(objs)
        console.log('removed',className)
        for (let object of classDef.objects) {
          let id = object._id
          delete object._id
          let obj = new ParseClass(object)
          await obj.save({
            useMasterKey: true
          })
          let newObjectId = obj.id
          let sql = `UPDATE "${className}" SET "objectId" = '${id}' WHERE "objectId" = '${newObjectId}'`
          await client.query(sql)
          console.log('inserted:', newObjectId)
        }
      }
    }
    process.exit(0)
  } catch (e) {
    console.log(e)
    process.exit(1)
  }
}
run()
