import Parse from 'parse'

export default {
  namespaced: true,
  state: {
    data: []
  },
  mutations: {
    setMenuData(state, data) {
      state.data = data
    },
    setActive(state, menuId) {
      state.activeId = menuId
    }
  },
  actions: {
    fetch({ commit, state, rootState }, data) {
      let q = new Parse.Query('LEGO_Control')
      return q.find().then(res => {
        return Promise.resolve(res.map(item => item.toJSON()))
      })
    }
  }
}
